Define SECTOR_SHIFT and SECTOR_SIZE in dm.h so each individual DM source file
doesn't have to define them.

--- diff/drivers/md/dm-exception-store.c	2003-06-17 10:05:34.000000000 +0100
+++ source/drivers/md/dm-exception-store.c	2003-06-17 10:07:10.000000000 +0100
@@ -14,9 +14,6 @@
 #include <linux/vmalloc.h>
 #include <linux/slab.h>
 
-#define SECTOR_SIZE 512
-#define SECTOR_SHIFT 9
-
 /*-----------------------------------------------------------------
  * Persistent snapshots, by persistent we mean that the snapshot
  * will survive a reboot.
--- diff/drivers/md/dm-snapshot.c	2003-06-17 10:06:56.000000000 +0100
+++ source/drivers/md/dm-snapshot.c	2003-06-17 10:07:10.000000000 +0100
@@ -36,11 +36,6 @@
 #define WAKE_UP_PERCENT 5
 
 /*
- * Hard sector size used all over the kernel
- */
-#define SECTOR_SIZE 512
-
-/*
  * kcopyd priority of snapshot operations
  */
 #define SNAPSHOT_COPY_PRIORITY 2
--- diff/drivers/md/dm.c	2003-06-17 10:07:05.000000000 +0100
+++ source/drivers/md/dm.c	2003-06-17 10:07:10.000000000 +0100
@@ -19,7 +19,6 @@
 
 static const char *_name = DM_NAME;
 #define MAX_DEVICES (1 << MINORBITS)
-#define SECTOR_SHIFT 9
 #define DEFAULT_READ_AHEAD 64
 
 static int major = 0;
--- diff/drivers/md/dm.h	2003-06-17 10:05:34.000000000 +0100
+++ source/drivers/md/dm.h	2003-06-17 10:07:10.000000000 +0100
@@ -29,6 +29,9 @@
 #define SECTOR_FORMAT "%lu"
 #endif
 
+#define SECTOR_SHIFT 9
+#define SECTOR_SIZE (1 << SECTOR_SHIFT)
+
 extern struct block_device_operations dm_blk_dops;
 
 /*
--- diff/drivers/md/kcopyd.c	2003-06-17 10:06:49.000000000 +0100
+++ source/drivers/md/kcopyd.c	2003-06-17 10:07:10.000000000 +0100
@@ -24,12 +24,6 @@
 /* FIXME: this is only needed for the DMERR macros */
 #include "dm.h"
 
-/*
- * Hard sector size used all over the kernel.
- */
-#define SECTOR_SIZE 512
-#define SECTOR_SHIFT 9
-
 static void wake_kcopyd(void);
 
 /*-----------------------------------------------------------------
